/*===========================================================================*/
/*   (Engine/compiler.scm)                                                   */
/*   Bigloo (2.6d)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 13 10:21:57 CEST 2004       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6d -unsafev -no-hello -O2 -rm -unsafe -s -indent Engine/compiler.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castzd2nullzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_castzd2nullzd2_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
extern obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
extern obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();
BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_methodzd2initzd2zzengine_compilerz00();
extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
extern obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32940ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33039ze3z83zzengine_compilerz00(obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_zc3anonymousza32796ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t);
static obj_t BGl_zc3anonymousza33045ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza32809ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_zc3anonymousza32948ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_userzd2walkzd2zzuser_userz00(obj_t);
extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
extern obj_t BGl_dumpzd2additionalzd2heapsz00zzheap_restorez00();
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza32956ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2globalzd2tailzd2callzf3za2zf3zzengine_paramz00;
extern obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
static obj_t BGl_zc3anonymousza33061ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_installzd2typezd2cachez12z12zztype_cachez00();
extern obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
extern obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00();
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t);
static obj_t BGl_zc3anonymousza33071ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_installzd2initialzd2expanderz00zzexpand_installz00();
extern obj_t BGl_expandzd2unitszd2zzexpand_epsz00(obj_t);
static obj_t BGl_zc3anonymousza32973ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzengine_compilerz00();
extern obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t);
extern obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t, obj_t);
extern obj_t BGl_readzd2accesszd2filez00zzread_accessz00();
static obj_t BGl_zc3anonymousza33078ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_hellozd2worldzd2zzengine_enginez00();
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
extern obj_t BGl_makezd2profzd2unitz00zzprof_walkz00();
static obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00();
extern obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32985ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33086ze3z83zzengine_compilerz00(obj_t);
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_zc3anonymousza32993ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_writezd2expandedzd2zzwrite_expandedz00(obj_t);
extern obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
static obj_t BGl_toplevelzd2initzd2zzengine_compilerz00();
static obj_t BGl_zc3anonymousza33096ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33106ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_dotnetzd2ldzd2zzdotnet_ldz00();
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_signalsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_srcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_expandedz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzuser_userz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_installz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzprof_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_ldz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_dotnetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_ldz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
extern obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t, bool_t);
extern obj_t BGl_reducezd2walkz12zc0zzreduce_walkz00(obj_t);
static obj_t BGl_zc3anonymousza33117ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00();
extern obj_t BGl_readzd2jfilezd2zzread_jvmz00();
static obj_t BGl_zc3anonymousza33122ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_checkzd2typeszd2zztype_envz00();
extern obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
extern obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
extern obj_t BGl_jvmzd2dumpzd2zzjvm_jdumpz00(obj_t);
extern obj_t BGl_setzd2defaultzd2typez12z12zztype_cachez00(BgL_typez00_bglt);
static obj_t BGl_zc3anonymousza33127ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_makezd2addzd2heapz00zzheap_makez00();
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t);
extern obj_t BGl_enginez00zzengine_enginez00();
extern obj_t BGl_restorezd2heapzd2zzheap_restorez00();
extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
static obj_t BGl_zc3anonymousza32886ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_za2heapzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza33135ze3z83zzengine_compilerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_compilerz00zzengine_compilerz00();
static obj_t BGl_zc3anonymousza32901ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33001ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
extern obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t);
extern obj_t BGl_za2sawza2z00zzengine_paramz00;
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_jvmzd2ldzd2zzjvm_ldz00();
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza33141ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
static obj_t BGl_zc3anonymousza32895ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32909ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33010ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_makezd2heapzd2zzheap_makez00();
extern obj_t BGl_za2interpreterza2z00zzengine_paramz00;
extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza32915ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_astzb2initializa7ersz15zzcgen_walkz00(obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzengine_compilerz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza33022ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00;
static obj_t BGl_zc3anonymousza32924ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t);
extern obj_t BGl_backendzd2walkzd2zzbackend_walkz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00();
extern obj_t BGl_readzd2srczd2zzread_srcz00();
static obj_t BGl_zc3anonymousza33029ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
extern obj_t BGl_dotnetz00zzdotnet_dotnetz00(obj_t);
static obj_t BGl__compilerz00zzengine_compilerz00(obj_t);
static obj_t __cnst[ 42 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2envzd2zzengine_compilerz00, BgL_bgl__compilerza700za7za7engine_compilerza7003852z00, BGl__compilerz00zzengine_compilerz00, 0L, 0 );
extern obj_t BGl_hgenzd2walkzd2envz00zzhgen_walkz00;
DEFINE_STATIC_PROCEDURE( BGl_proc3788z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32796za7e3za783za7za7engine_compilerza7003853za7, BGl_zc3anonymousza32796ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3789z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32809za7e3za783za7za7engine_compilerza7003854za7, BGl_zc3anonymousza32809ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3796z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32909za7e3za783za7za7engine_compilerza7003855za7, BGl_zc3anonymousza32909ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3797z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32915za7e3za783za7za7engine_compilerza7003856za7, BGl_zc3anonymousza32915ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3813z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33117za7e3za783za7za7engine_compilerza7003857za7, BGl_zc3anonymousza33117ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3814z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33122za7e3za783za7za7engine_compilerza7003858za7, BGl_zc3anonymousza33122ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3815z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33127za7e3za783za7za7engine_compilerza7003859za7, BGl_zc3anonymousza33127ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3816z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33135za7e3za783za7za7engine_compilerza7003860za7, BGl_zc3anonymousza33135ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3817z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33141za7e3za783za7za7engine_compilerza7003861za7, BGl_zc3anonymousza33141ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STRING( BGl_string3821z00zzengine_compilerz00, BgL_bgl_string3821za700za7za7engine_compilerza7003862z00, "done il .net jast jvmas cc jvm c reduce+ effect+ inline+ reducer cnst bdb reduce egen coerce tailc integrate cfa globalize globalization fail trace inline all effect callcc (jvm .net) bdb-spread-obj make-add-heap make-heap ast expand user hgen (pragma::int \"bdb_release_lock()\") *debug* set! (#unspecified) mco dump-heap ", 321 );
DEFINE_STRING( BGl_string3820z00zzengine_compilerz00, BgL_bgl_string3820za700za7za7engine_compilerza7003863z00, "engine_compiler", 15 );
DEFINE_STRING( BGl_string3819z00zzengine_compilerz00, BgL_bgl_string3819za700za7za7engine_compilerza7003864z00, "Unimplemented target language", 29 );
DEFINE_STRING( BGl_string3818z00zzengine_compilerz00, BgL_bgl_string3818za700za7za7engine_compilerza7003865z00, "compiler", 8 );
DEFINE_STRING( BGl_string3812z00zzengine_compilerz00, BgL_bgl_string3812za700za7za7engine_compilerza7003866z00, "reduce+", 7 );
DEFINE_STRING( BGl_string3811z00zzengine_compilerz00, BgL_bgl_string3811za700za7za7engine_compilerza7003867z00, "init", 4 );
DEFINE_STRING( BGl_string3810z00zzengine_compilerz00, BgL_bgl_string3810za700za7za7engine_compilerza7003868z00, "inline+", 7 );
DEFINE_STRING( BGl_string3809z00zzengine_compilerz00, BgL_bgl_string3809za700za7za7engine_compilerza7003869z00, "cnst", 4 );
DEFINE_STRING( BGl_string3799z00zzengine_compilerz00, BgL_bgl_string3799za700za7za7engine_compilerza7003870z00, "callcc", 6 );
DEFINE_STRING( BGl_string3808z00zzengine_compilerz00, BgL_bgl_string3808za700za7za7engine_compilerza7003871z00, "reduce", 6 );
DEFINE_STRING( BGl_string3798z00zzengine_compilerz00, BgL_bgl_string3798za700za7za7engine_compilerza7003872z00, "trace", 5 );
DEFINE_STRING( BGl_string3807z00zzengine_compilerz00, BgL_bgl_string3807za700za7za7engine_compilerza7003873z00, "coerce", 6 );
DEFINE_STRING( BGl_string3806z00zzengine_compilerz00, BgL_bgl_string3806za700za7za7engine_compilerza7003874z00, "tailc", 5 );
DEFINE_STRING( BGl_string3805z00zzengine_compilerz00, BgL_bgl_string3805za700za7za7engine_compilerza7003875z00, "integrate", 9 );
DEFINE_STRING( BGl_string3795z00zzengine_compilerz00, BgL_bgl_string3795za700za7za7engine_compilerza7003876z00, "ast", 3 );
DEFINE_STRING( BGl_string3804z00zzengine_compilerz00, BgL_bgl_string3804za700za7za7engine_compilerza7003877z00, "cfa", 3 );
DEFINE_STRING( BGl_string3794z00zzengine_compilerz00, BgL_bgl_string3794za700za7za7engine_compilerza7003878z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3803z00zzengine_compilerz00, BgL_bgl_string3803za700za7za7engine_compilerza7003879z00, "globalize", 9 );
DEFINE_STRING( BGl_string3793z00zzengine_compilerz00, BgL_bgl_string3793za700za7za7engine_compilerza7003880z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3802z00zzengine_compilerz00, BgL_bgl_string3802za700za7za7engine_compilerza7003881z00, "fail", 4 );
DEFINE_STRING( BGl_string3792z00zzengine_compilerz00, BgL_bgl_string3792za700za7za7engine_compilerza7003882z00, "", 0 );
DEFINE_STRING( BGl_string3801z00zzengine_compilerz00, BgL_bgl_string3801za700za7za7engine_compilerza7003883z00, "inline", 6 );
DEFINE_STRING( BGl_string3791z00zzengine_compilerz00, BgL_bgl_string3791za700za7za7engine_compilerza7003884z00, "s", 1 );
DEFINE_STRING( BGl_string3800z00zzengine_compilerz00, BgL_bgl_string3800za700za7za7engine_compilerza7003885z00, "effect", 6 );
DEFINE_STRING( BGl_string3790z00zzengine_compilerz00, BgL_bgl_string3790za700za7za7engine_compilerza7003886z00, " error", 6 );
DEFINE_STRING( BGl_string3787z00zzengine_compilerz00, BgL_bgl_string3787za700za7za7engine_compilerza7003887z00, "Don't know what to do with arguments: ", 38 );
DEFINE_STRING( BGl_string3786z00zzengine_compilerz00, BgL_bgl_string3786za700za7za7engine_compilerza7003888z00, "Illegal source file", 19 );
DEFINE_STRING( BGl_string3785z00zzengine_compilerz00, BgL_bgl_string3785za700za7za7engine_compilerza7003889z00, "Parse error", 11 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long BgL_checksumz00_1462, char * BgL_fromz00_1463)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzengine_compilerz00))
{ 
BGl_requirezd2initializa7ationz75zzengine_compilerz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzengine_compilerz00(); 
BGl_cnstzd2initzd2zzengine_compilerz00(); 
BGl_importedzd2moduleszd2initz00zzengine_compilerz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "engine_compiler"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 15 */
{ /* ./Engine/compiler.scm 15 */
obj_t BgL_cportz00_1455;
BgL_cportz00_1455 = 
open_input_string(BGl_string3821z00zzengine_compilerz00); 
{ 
long BgL_iz00_1456;
BgL_iz00_1456 = ((long)41); 
BgL_loopz00_1457:
{ /* ./Engine/compiler.scm 15 */
bool_t BgL_test3823z00_1458;
BgL_test3823z00_1458 = 
(BgL_iz00_1456==((long)-1)); 
if(BgL_test3823z00_1458)
{ /* ./Engine/compiler.scm 15 */
return BUNSPEC;}  else 
{ /* ./Engine/compiler.scm 15 */
{ /* ./Engine/compiler.scm 15 */
obj_t BgL_arg3825z00_1459;
{ /* ./Engine/compiler.scm 15 */
obj_t BgL_list3828z00_1460;
BgL_list3828z00_1460 = 
MAKE_PAIR(BgL_cportz00_1455, BNIL); 
BgL_arg3825z00_1459 = 
BGl_readz00zz__readerz00(BgL_list3828z00_1460); } 
{ /* ./Engine/compiler.scm 15 */
int BgL_auxz00_1482;
BgL_auxz00_1482 = 
(int)(BgL_iz00_1456); 
CNST_TABLE_SET(BgL_auxz00_1482, BgL_arg3825z00_1459); } } 
{ /* ./Engine/compiler.scm 15 */
int BgL_auxz00_1461;
{ /* ./Engine/compiler.scm 15 */
long BgL_auxz00_1485;
BgL_auxz00_1485 = 
(BgL_iz00_1456-((long)1)); 
BgL_auxz00_1461 = 
(int)(BgL_auxz00_1485); } 
{ 
long BgL_iz00_1488;
BgL_iz00_1488 = 
(long)(BgL_auxz00_1461); 
BgL_iz00_1456 = BgL_iz00_1488; 
goto BgL_loopz00_1457;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 15 */
return BUNSPEC;} 
}



/* compiler */
BGL_EXPORTED_DEF obj_t BGl_compilerz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 79 */
BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00(); 
{ /* ./Engine/compiler.scm 85 */
obj_t BgL_srcz00_708;
BgL_srcz00_708 = 
BGl_readzd2srczd2zzread_srcz00(); 
if(
CBOOL(BgL_srcz00_708))
{ /* ./Engine/compiler.scm 93 */
bool_t BgL_test2764z00_709;
BgL_test2764z00_709 = 
PAIRP(BgL_srcz00_708); 
if(BgL_test2764z00_709)
{ /* ./Engine/compiler.scm 93 */BFALSE; }  else 
{ /* ./Engine/compiler.scm 93 */
BGl_userzd2errorzd2zztools_errorz00(BGl_string3785z00zzengine_compilerz00, BGl_string3786z00zzengine_compilerz00, BgL_srcz00_708, BNIL); } }  else 
{ /* ./Engine/compiler.scm 90 */
BGl_za2interpreterza2z00zzengine_paramz00 = BTRUE; 
{ /* ./Engine/compiler.scm 92 */
obj_t BgL_arg2769z00_711;
BgL_arg2769z00_711 = 
BGl_enginez00zzengine_enginez00(); 
BGl_exitzd2bigloozd2zzinit_mainz00(BgL_arg2769z00_711); } } 
BGl_hellozd2worldzd2zzengine_enginez00(); 
{ /* ./Engine/compiler.scm 100 */
bool_t BgL_test2773z00_712;
{ /* ./Engine/compiler.scm 100 */
long BgL_n1z00_1294;
BgL_n1z00_1294 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2773z00_712 = 
(BgL_n1z00_1294>((long)0)); } 
if(BgL_test2773z00_712)
{ /* ./Engine/compiler.scm 100 */
BGl_bdbzd2settingz12zc0zzbdb_settingz00(); }  else 
{ /* ./Engine/compiler.scm 100 */BFALSE; } } 
{ /* ./Engine/compiler.scm 104 */
bool_t BgL_test2776z00_713;
{ /* ./Engine/compiler.scm 104 */
obj_t BgL_objz00_1296;
BgL_objz00_1296 = BGl_za2restzd2argsza2zd2zzengine_paramz00; 
BgL_test2776z00_713 = 
NULLP(BgL_objz00_1296); } 
if(BgL_test2776z00_713)
{ /* ./Engine/compiler.scm 104 */BFALSE; }  else 
{ /* ./Engine/compiler.scm 105 */
obj_t BgL_list2778z00_714;
{ /* ./Engine/compiler.scm 105 */
obj_t BgL_arg2781z00_716;
BgL_arg2781z00_716 = 
MAKE_PAIR(BGl_za2restzd2argsza2zd2zzengine_paramz00, BNIL); 
BgL_list2778z00_714 = 
MAKE_PAIR(BGl_string3787z00zzengine_compilerz00, BgL_arg2781z00_716); } 
BGl_warningz00zz__errorz00(BgL_list2778z00_714); } } 
BGl_readzd2accesszd2filez00zzread_accessz00(); 
BGl_readzd2jfilezd2zzread_jvmz00(); 
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* ./Engine/compiler.scm 112 */
BGl_initializa7ezd2Genvz12z67zzast_envz00(); 
BGl_initializa7ezd2Tenvz12z67zztype_envz00(); }  else 
{ /* ./Engine/compiler.scm 112 */
BGl_restorezd2heapzd2zzheap_restorez00(); } 
BGl_installzd2typezd2cachez12z12zztype_cachez00(); 
BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00(); 
{ /* ./Engine/compiler.scm 128 */
obj_t BgL_modulez00_717;
BgL_modulez00_717 = 
CAR(BgL_srcz00_708); 
{ /* ./Engine/compiler.scm 128 */
obj_t BgL_srczd2codezd2_718;
BgL_srczd2codezd2_718 = 
CDR(BgL_srcz00_708); 
{ /* ./Engine/compiler.scm 129 */
obj_t BgL_unitsz00_719;
{ /* ./Engine/compiler.scm 130 */
obj_t BgL_cellvalz00_1520;
BgL_cellvalz00_1520 = 
BGl_producezd2modulez12zc0zzmodule_modulez00(BgL_modulez00_717); 
BgL_unitsz00_719 = 
MAKE_CELL(BgL_cellvalz00_1520); } 
{ /* ./Engine/compiler.scm 130 */

{ /* ./Engine/compiler.scm 132 */
obj_t BgL_arg2793z00_720;
BgL_arg2793z00_720 = 
CNST_TABLE_REF(((long)0)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2793z00_720, BGl_proc3788z00zzengine_compilerz00); } 
{ /* ./Engine/compiler.scm 135 */
bool_t BgL_test2798z00_724;
{ /* ./Engine/compiler.scm 135 */
long BgL_n1z00_1299;
BgL_n1z00_1299 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL_test2798z00_724 = 
(BgL_n1z00_1299>=((long)1)); } 
if(BgL_test2798z00_724)
{ /* ./Engine/compiler.scm 136 */
obj_t BgL_auxz00_1434;
{ /* ./Engine/compiler.scm 136 */
obj_t BgL_arg2800z00_725;
BgL_arg2800z00_725 = 
BGl_makezd2profzd2unitz00zzprof_walkz00(); 
{ /* ./Engine/compiler.scm 136 */
obj_t BgL_auxz00_1528;
BgL_auxz00_1528 = 
CELL_REF(BgL_unitsz00_719); 
BgL_auxz00_1434 = 
MAKE_PAIR(BgL_arg2800z00_725, BgL_auxz00_1528); } } 
CELL_SET(BgL_unitsz00_719, BgL_auxz00_1434); }  else 
{ /* ./Engine/compiler.scm 135 */BFALSE; } } 
if(
CBOOL(BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00))
{ /* ./Engine/compiler.scm 139 */
BGl_modulezd2checksumzd2objectz00zzmodule_modulez00(); }  else 
{ /* ./Engine/compiler.scm 139 */BFALSE; } 
{ /* ./Engine/compiler.scm 141 */
obj_t BgL_arg2806z00_726;
BgL_arg2806z00_726 = 
CNST_TABLE_REF(((long)1)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2806z00_726, BGl_proc3789z00zzengine_compilerz00); } 
{ /* ./Engine/compiler.scm 144 */
obj_t BgL_code0z00_730;
if(
NULLP(BgL_srczd2codezd2_718))
{ /* ./Engine/compiler.scm 144 */
BgL_code0z00_730 = 
CNST_TABLE_REF(((long)2)); }  else 
{ /* ./Engine/compiler.scm 144 */
BgL_code0z00_730 = BgL_srczd2codezd2_718; } 
{ /* ./Engine/compiler.scm 144 */
obj_t BgL_code1z00_731;
{ /* ./Engine/compiler.scm 145 */
bool_t BgL_test2819z00_736;
{ /* ./Engine/compiler.scm 145 */
bool_t BgL_test2832z00_742;
{ /* ./Engine/compiler.scm 145 */
obj_t BgL_objz00_1302;
BgL_objz00_1302 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2832z00_742 = 
INTEGERP(BgL_objz00_1302); } 
if(BgL_test2832z00_742)
{ /* ./Engine/compiler.scm 146 */
long BgL_n1z00_1303;
BgL_n1z00_1303 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2819z00_736 = 
(BgL_n1z00_1303>=((long)2)); }  else 
{ /* ./Engine/compiler.scm 145 */
BgL_test2819z00_736 = ((bool_t)0); } } 
if(BgL_test2819z00_736)
{ /* ./Engine/compiler.scm 147 */
obj_t BgL_arg2821z00_737;
{ /* ./Engine/compiler.scm 147 */
obj_t BgL_arg2824z00_738;obj_t BgL_arg2825z00_739;
BgL_arg2824z00_738 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Engine/compiler.scm 147 */
obj_t BgL_arg2828z00_740;obj_t BgL_arg2829z00_741;
BgL_arg2828z00_740 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2829z00_741 = 
MAKE_PAIR(BGl_za2compilerzd2debugza2zd2zzengine_paramz00, BNIL); 
BgL_arg2825z00_739 = 
MAKE_PAIR(BgL_arg2828z00_740, BgL_arg2829z00_741); } 
BgL_arg2821z00_737 = 
MAKE_PAIR(BgL_arg2824z00_738, BgL_arg2825z00_739); } 
BgL_code1z00_731 = 
MAKE_PAIR(BgL_arg2821z00_737, BgL_code0z00_730); }  else 
{ /* ./Engine/compiler.scm 145 */
BgL_code1z00_731 = BgL_code0z00_730; } } 
{ /* ./Engine/compiler.scm 145 */
obj_t BgL_code2z00_732;
{ /* ./Engine/compiler.scm 149 */
bool_t BgL_test2814z00_734;
{ /* ./Engine/compiler.scm 149 */
bool_t BgL_test2816z00_735;
{ /* ./Engine/compiler.scm 149 */
obj_t BgL_objz00_1305;
BgL_objz00_1305 = BGl_za2heapzd2debugza2zd2zzengine_paramz00; 
BgL_test2816z00_735 = 
INTEGERP(BgL_objz00_1305); } 
if(BgL_test2816z00_735)
{ /* ./Engine/compiler.scm 149 */
long BgL_n1z00_1306;
BgL_n1z00_1306 = 
(long)CINT(BGl_za2heapzd2debugza2zd2zzengine_paramz00); 
BgL_test2814z00_734 = 
(BgL_n1z00_1306>=((long)1)); }  else 
{ /* ./Engine/compiler.scm 149 */
BgL_test2814z00_734 = ((bool_t)0); } } 
if(BgL_test2814z00_734)
{ /* ./Engine/compiler.scm 154 */
obj_t BgL_auxz00_1554;
BgL_auxz00_1554 = 
CNST_TABLE_REF(((long)5)); 
BgL_code2z00_732 = 
MAKE_PAIR(BgL_auxz00_1554, BgL_code1z00_731); }  else 
{ /* ./Engine/compiler.scm 149 */
BgL_code2z00_732 = BgL_code1z00_731; } } 
{ /* ./Engine/compiler.scm 149 */

{ /* ./Engine/compiler.scm 156 */
obj_t BgL_arg2811z00_733;
BgL_arg2811z00_733 = 
BGl_getzd2toplevelzd2unitz00zzmodule_includez00(); 
BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_arg2811z00_733, BgL_code2z00_732); } } } } } 
{ /* ./Engine/compiler.scm 159 */
bool_t BgL_test2837z00_745;
{ /* ./Engine/compiler.scm 159 */
long BgL_n1z00_1308;
BgL_n1z00_1308 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2837z00_745 = 
(BgL_n1z00_1308>((long)0)); } 
if(BgL_test2837z00_745)
{ /* ./Engine/compiler.scm 159 */
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_port2725z00_746;
BgL_port2725z00_746 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port2725z00_746); 
display_string(BGl_string3790z00zzengine_compilerz00, BgL_port2725z00_746); 
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_arg2841z00_747;
{ /* ./Engine/compiler.scm 159 */
bool_t BgL_test2843z00_748;
{ /* ./Engine/compiler.scm 159 */
bool_t BgL_test2844z00_749;
{ /* ./Engine/compiler.scm 159 */
bool_t BgL_res3544z00_1316;
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_objz00_1310;
BgL_objz00_1310 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Engine/compiler.scm 159 */
bool_t BgL_test1443z00_1311;
BgL_test1443z00_1311 = 
INTEGERP(BgL_objz00_1310); 
if(BgL_test1443z00_1311)
{ /* ./Engine/compiler.scm 159 */
BgL_res3544z00_1316 = ((bool_t)1); }  else 
{ /* ./Engine/compiler.scm 159 */
bool_t BgL_test1444z00_1312;
BgL_test1444z00_1312 = 
REALP(BgL_objz00_1310); 
if(BgL_test1444z00_1312)
{ /* ./Engine/compiler.scm 159 */
double BgL_arg1446z00_1313;
BgL_arg1446z00_1313 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_1310)); 
{ /* ./Engine/compiler.scm 159 */
double BgL_auxz00_1571;
BgL_auxz00_1571 = 
REAL_TO_DOUBLE(BgL_objz00_1310); 
BgL_res3544z00_1316 = 
(BgL_auxz00_1571==BgL_arg1446z00_1313); } }  else 
{ /* ./Engine/compiler.scm 159 */
BgL_res3544z00_1316 = ((bool_t)0); } } } } 
BgL_test2844z00_749 = BgL_res3544z00_1316; } 
if(BgL_test2844z00_749)
{ /* ./Engine/compiler.scm 159 */
BgL_test2843z00_748 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./Engine/compiler.scm 159 */
BgL_test2843z00_748 = ((bool_t)0); } } 
if(BgL_test2843z00_748)
{ /* ./Engine/compiler.scm 159 */
BgL_arg2841z00_747 = BGl_string3791z00zzengine_compilerz00; }  else 
{ /* ./Engine/compiler.scm 159 */
BgL_arg2841z00_747 = BGl_string3792z00zzengine_compilerz00; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2841z00_747, BgL_port2725z00_746); } 
display_string(BGl_string3793z00zzengine_compilerz00, BgL_port2725z00_746); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2725z00_746); } 
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_list2851z00_750;
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_auxz00_1581;
BgL_auxz00_1581 = 
BINT(((long)-1)); 
BgL_list2851z00_750 = 
MAKE_PAIR(BgL_auxz00_1581, BNIL); } 
BGl_exitz00zz__errorz00(BgL_list2851z00_750); } }  else 
{ 
obj_t BgL_hooksz00_751;obj_t BgL_hnamesz00_752;
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_arg2854z00_754;
BgL_arg2854z00_754 = BNIL; 
BgL_hooksz00_751 = BgL_arg2854z00_754; 
BgL_hnamesz00_752 = BNIL; 
BgL_loopz00_753:
{ /* ./Engine/compiler.scm 159 */
bool_t BgL_test2859z00_757;
BgL_test2859z00_757 = 
NULLP(BgL_hooksz00_751); 
if(BgL_test2859z00_757)
{ /* ./Engine/compiler.scm 159 */BUNSPEC; }  else 
{ /* ./Engine/compiler.scm 159 */
bool_t BgL_test2860z00_758;
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_fun2875z00_763;
BgL_fun2875z00_763 = 
CAR(BgL_hooksz00_751); 
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_auxz00_1588;
BgL_auxz00_1588 = 
PROCEDURE_ENTRY(BgL_fun2875z00_763)(BgL_fun2875z00_763, BEOA); 
BgL_test2860z00_758 = 
CBOOL(BgL_auxz00_1588); } } 
if(BgL_test2860z00_758)
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_arg2863z00_759;obj_t BgL_arg2864z00_760;
BgL_arg2863z00_759 = 
CDR(BgL_hooksz00_751); 
BgL_arg2864z00_760 = 
CDR(BgL_hnamesz00_752); 
{ 
obj_t BgL_hnamesz00_1596;obj_t BgL_hooksz00_1595;
BgL_hooksz00_1595 = BgL_arg2863z00_759; 
BgL_hnamesz00_1596 = BgL_arg2864z00_760; 
BgL_hnamesz00_752 = BgL_hnamesz00_1596; 
BgL_hooksz00_751 = BgL_hooksz00_1595; 
goto BgL_loopz00_753;} }  else 
{ /* ./Engine/compiler.scm 159 */
obj_t BgL_arg2870z00_762;
BgL_arg2870z00_762 = 
CAR(BgL_hnamesz00_752); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3794z00zzengine_compilerz00, BgL_arg2870z00_762); } } } } } } 
BGl_checkzd2typeszd2zztype_envz00(); 
BGl_stopzd2onzd2passz00zzengine_passz00(
CNST_TABLE_REF(((long)6)), BGl_hgenzd2walkzd2envz00zzhgen_walkz00); 
BGl_userzd2walkzd2zzuser_userz00(
CELL_REF(BgL_unitsz00_719)); 
{ /* ./Engine/compiler.scm 169 */
obj_t BgL_arg2883z00_764;
BgL_arg2883z00_764 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Engine/compiler.scm 169 */
obj_t BgL_zc3anonymousza32886ze3z83_1377;
{ 
int BgL_auxz00_1606;int BgL_auxz00_1604;
BgL_auxz00_1606 = 
(int)(((long)1)); 
BgL_auxz00_1604 = 
(int)(((long)0)); 
BgL_zc3anonymousza32886ze3z83_1377 = 
make_fx_procedure(BGl_zc3anonymousza32886ze3z83zzengine_compilerz00, BgL_auxz00_1604, BgL_auxz00_1606); } 
{ /* ./Engine/compiler.scm 169 */
int BgL_auxz00_1609;
BgL_auxz00_1609 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32886ze3z83_1377, BgL_auxz00_1609, BgL_unitsz00_719); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2883z00_764, BgL_zc3anonymousza32886ze3z83_1377); } } 
BGl_installzd2initialzd2expanderz00zzexpand_installz00(); 
BGl_loadzd2libraryzd2initz00zzinit_setrcz00(); 
BGl_expandzd2unitszd2zzexpand_epsz00(
CELL_REF(BgL_unitsz00_719)); 
{ /* ./Engine/compiler.scm 181 */
obj_t BgL_arg2892z00_768;
BgL_arg2892z00_768 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Engine/compiler.scm 181 */
obj_t BgL_zc3anonymousza32895ze3z83_1376;
{ 
int BgL_auxz00_1619;int BgL_auxz00_1617;
BgL_auxz00_1619 = 
(int)(((long)1)); 
BgL_auxz00_1617 = 
(int)(((long)0)); 
BgL_zc3anonymousza32895ze3z83_1376 = 
make_fx_procedure(BGl_zc3anonymousza32895ze3z83zzengine_compilerz00, BgL_auxz00_1617, BgL_auxz00_1619); } 
{ /* ./Engine/compiler.scm 181 */
int BgL_auxz00_1622;
BgL_auxz00_1622 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32895ze3z83_1376, BgL_auxz00_1622, BgL_unitsz00_719); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2892z00_768, BgL_zc3anonymousza32895ze3z83_1376); } } 
{ /* ./Engine/compiler.scm 184 */
obj_t BgL_astz00_772;
{ /* ./Engine/compiler.scm 184 */
obj_t BgL_cellvalz00_1626;
BgL_cellvalz00_1626 = 
BGl_buildzd2astzd2zzast_buildz00(
CELL_REF(BgL_unitsz00_719)); 
BgL_astz00_772 = 
MAKE_CELL(BgL_cellvalz00_1626); } 
{ /* ./Engine/compiler.scm 185 */
obj_t BgL_arg2898z00_773;
BgL_arg2898z00_773 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Engine/compiler.scm 185 */
obj_t BgL_zc3anonymousza32901ze3z83_1375;
{ 
int BgL_auxz00_1631;int BgL_auxz00_1629;
BgL_auxz00_1631 = 
(int)(((long)1)); 
BgL_auxz00_1629 = 
(int)(((long)0)); 
BgL_zc3anonymousza32901ze3z83_1375 = 
make_fx_procedure(BGl_zc3anonymousza32901ze3z83zzengine_compilerz00, BgL_auxz00_1629, BgL_auxz00_1631); } 
{ /* ./Engine/compiler.scm 185 */
int BgL_auxz00_1634;
BgL_auxz00_1634 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32901ze3z83_1375, BgL_auxz00_1634, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2898z00_773, BgL_zc3anonymousza32901ze3z83_1375); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3795z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* ./Engine/compiler.scm 190 */
BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00(); }  else 
{ /* ./Engine/compiler.scm 190 */BFALSE; } 
{ /* ./Engine/compiler.scm 194 */
obj_t BgL_arg2906z00_777;
BgL_arg2906z00_777 = 
CNST_TABLE_REF(((long)10)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2906z00_777, BGl_proc3796z00zzengine_compilerz00); } 
{ /* ./Engine/compiler.scm 197 */
obj_t BgL_arg2912z00_781;
BgL_arg2912z00_781 = 
CNST_TABLE_REF(((long)11)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2912z00_781, BGl_proc3797z00zzengine_compilerz00); } 
{ /* ./Engine/compiler.scm 200 */
bool_t BgL_test2917z00_785;
{ /* ./Engine/compiler.scm 200 */
long BgL_n1z00_1325;
BgL_n1z00_1325 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2917z00_785 = 
(BgL_n1z00_1325>((long)0)); } 
if(BgL_test2917z00_785)
{ /* ./Engine/compiler.scm 200 */
BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(
CELL_REF(BgL_astz00_772)); }  else 
{ /* ./Engine/compiler.scm 200 */BFALSE; } } 
{ /* ./Engine/compiler.scm 202 */
obj_t BgL_arg2921z00_786;
BgL_arg2921z00_786 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Engine/compiler.scm 202 */
obj_t BgL_zc3anonymousza32924ze3z83_1372;
{ 
int BgL_auxz00_1653;int BgL_auxz00_1651;
BgL_auxz00_1653 = 
(int)(((long)1)); 
BgL_auxz00_1651 = 
(int)(((long)0)); 
BgL_zc3anonymousza32924ze3z83_1372 = 
make_fx_procedure(BGl_zc3anonymousza32924ze3z83zzengine_compilerz00, BgL_auxz00_1651, BgL_auxz00_1653); } 
{ /* ./Engine/compiler.scm 202 */
int BgL_auxz00_1656;
BgL_auxz00_1656 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32924ze3z83_1372, BgL_auxz00_1656, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2921z00_786, BgL_zc3anonymousza32924ze3z83_1372); } } 
{ /* ./Engine/compiler.scm 206 */
bool_t BgL_test2926z00_790;
{ /* ./Engine/compiler.scm 206 */
bool_t BgL_test2928z00_791;
{ /* ./Engine/compiler.scm 206 */
obj_t BgL_objz00_1327;
BgL_objz00_1327 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2928z00_791 = 
INTEGERP(BgL_objz00_1327); } 
if(BgL_test2928z00_791)
{ /* ./Engine/compiler.scm 207 */
bool_t BgL_test2929z00_792;
{ /* ./Engine/compiler.scm 207 */
long BgL_n1z00_1328;
BgL_n1z00_1328 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2929z00_792 = 
(BgL_n1z00_1328>((long)1)); } 
if(BgL_test2929z00_792)
{ /* ./Engine/compiler.scm 208 */
bool_t BgL_test2930z00_793;
{ /* ./Engine/compiler.scm 208 */
obj_t BgL_auxz00_1665;
BgL_auxz00_1665 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)13))); 
BgL_test2930z00_793 = 
CBOOL(BgL_auxz00_1665); } 
if(BgL_test2930z00_793)
{ /* ./Engine/compiler.scm 208 */
BgL_test2926z00_790 = ((bool_t)0); }  else 
{ /* ./Engine/compiler.scm 208 */
BgL_test2926z00_790 = ((bool_t)1); } }  else 
{ /* ./Engine/compiler.scm 207 */
BgL_test2926z00_790 = ((bool_t)0); } }  else 
{ /* ./Engine/compiler.scm 206 */
BgL_test2926z00_790 = ((bool_t)0); } } 
if(BgL_test2926z00_790)
{ /* ./Engine/compiler.scm 209 */
obj_t BgL_auxz00_1436;
BgL_auxz00_1436 = 
BGl_tracezd2walkz12zc0zztrace_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1436); }  else 
{ /* ./Engine/compiler.scm 206 */BFALSE; } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3798z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
if(
CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
{ /* ./Engine/compiler.scm 215 */
obj_t BgL_auxz00_1437;
BgL_auxz00_1437 = 
BGl_callcczd2walkz12zc0zzcallcc_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1437); }  else 
{ /* ./Engine/compiler.scm 214 */BFALSE; } 
{ /* ./Engine/compiler.scm 216 */
obj_t BgL_arg2937z00_794;
BgL_arg2937z00_794 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Engine/compiler.scm 216 */
obj_t BgL_zc3anonymousza32940ze3z83_1371;
{ 
int BgL_auxz00_1679;int BgL_auxz00_1677;
BgL_auxz00_1679 = 
(int)(((long)1)); 
BgL_auxz00_1677 = 
(int)(((long)0)); 
BgL_zc3anonymousza32940ze3z83_1371 = 
make_fx_procedure(BGl_zc3anonymousza32940ze3z83zzengine_compilerz00, BgL_auxz00_1677, BgL_auxz00_1679); } 
{ /* ./Engine/compiler.scm 216 */
int BgL_auxz00_1682;
BgL_auxz00_1682 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32940ze3z83_1371, BgL_auxz00_1682, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2937z00_794, BgL_zc3anonymousza32940ze3z83_1371); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3799z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
if(
CBOOL(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
{ /* ./Engine/compiler.scm 220 */
{ /* ./Engine/compiler.scm 222 */
obj_t BgL_auxz00_1438;
BgL_auxz00_1438 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_772), ((bool_t)0)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1438); } 
{ /* ./Engine/compiler.scm 223 */
obj_t BgL_arg2945z00_798;
BgL_arg2945z00_798 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Engine/compiler.scm 223 */
obj_t BgL_zc3anonymousza32948ze3z83_1370;
{ 
int BgL_auxz00_1693;int BgL_auxz00_1691;
BgL_auxz00_1693 = 
(int)(((long)1)); 
BgL_auxz00_1691 = 
(int)(((long)0)); 
BgL_zc3anonymousza32948ze3z83_1370 = 
make_fx_procedure(BGl_zc3anonymousza32948ze3z83zzengine_compilerz00, BgL_auxz00_1691, BgL_auxz00_1693); } 
{ /* ./Engine/compiler.scm 223 */
int BgL_auxz00_1696;
BgL_auxz00_1696 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32948ze3z83_1370, BgL_auxz00_1696, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2945z00_798, BgL_zc3anonymousza32948ze3z83_1370); } } }  else 
{ /* ./Engine/compiler.scm 220 */BFALSE; } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3800z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 227 */
obj_t BgL_auxz00_1439;
BgL_auxz00_1439 = 
BGl_inlinezd2walkz12zc0zzinline_walkz00(
CELL_REF(BgL_astz00_772), 
CNST_TABLE_REF(((long)16))); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1439); } 
{ /* ./Engine/compiler.scm 228 */
obj_t BgL_arg2953z00_802;
BgL_arg2953z00_802 = 
CNST_TABLE_REF(((long)17)); 
{ /* ./Engine/compiler.scm 228 */
obj_t BgL_zc3anonymousza32956ze3z83_1369;
{ 
int BgL_auxz00_1706;int BgL_auxz00_1704;
BgL_auxz00_1706 = 
(int)(((long)1)); 
BgL_auxz00_1704 = 
(int)(((long)0)); 
BgL_zc3anonymousza32956ze3z83_1369 = 
make_fx_procedure(BGl_zc3anonymousza32956ze3z83zzengine_compilerz00, BgL_auxz00_1704, BgL_auxz00_1706); } 
{ /* ./Engine/compiler.scm 228 */
int BgL_auxz00_1709;
BgL_auxz00_1709 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_1369, BgL_auxz00_1709, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2953z00_802, BgL_zc3anonymousza32956ze3z83_1369); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3801z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 232 */
bool_t BgL_test2959z00_806;
{ /* ./Engine/compiler.scm 232 */
bool_t BgL_test2961z00_807;
{ /* ./Engine/compiler.scm 232 */
obj_t BgL_objz00_1330;
BgL_objz00_1330 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2961z00_807 = 
INTEGERP(BgL_objz00_1330); } 
if(BgL_test2961z00_807)
{ /* ./Engine/compiler.scm 233 */
bool_t BgL_test2962z00_808;
{ /* ./Engine/compiler.scm 233 */
long BgL_n1z00_1331;
BgL_n1z00_1331 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2962z00_808 = 
(BgL_n1z00_1331>((long)0)); } 
if(BgL_test2962z00_808)
{ /* ./Engine/compiler.scm 234 */
bool_t BgL_test2963z00_809;
{ /* ./Engine/compiler.scm 234 */
long BgL_n1z00_1333;
BgL_n1z00_1333 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2963z00_809 = 
(BgL_n1z00_1333<=((long)1)); } 
if(BgL_test2963z00_809)
{ /* ./Engine/compiler.scm 235 */
bool_t BgL_test2964z00_810;
{ /* ./Engine/compiler.scm 235 */
obj_t BgL_auxz00_1722;
BgL_auxz00_1722 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)13))); 
BgL_test2964z00_810 = 
CBOOL(BgL_auxz00_1722); } 
if(BgL_test2964z00_810)
{ /* ./Engine/compiler.scm 235 */
BgL_test2959z00_806 = ((bool_t)0); }  else 
{ /* ./Engine/compiler.scm 235 */
BgL_test2959z00_806 = ((bool_t)1); } }  else 
{ /* ./Engine/compiler.scm 234 */
BgL_test2959z00_806 = ((bool_t)0); } }  else 
{ /* ./Engine/compiler.scm 233 */
BgL_test2959z00_806 = ((bool_t)0); } }  else 
{ /* ./Engine/compiler.scm 232 */
BgL_test2959z00_806 = ((bool_t)0); } } 
if(BgL_test2959z00_806)
{ /* ./Engine/compiler.scm 236 */
obj_t BgL_auxz00_1440;
BgL_auxz00_1440 = 
BGl_tracezd2walkz12zc0zztrace_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1440); }  else 
{ /* ./Engine/compiler.scm 232 */BFALSE; } } 
{ /* ./Engine/compiler.scm 237 */
obj_t BgL_arg2970z00_811;
BgL_arg2970z00_811 = 
CNST_TABLE_REF(((long)18)); 
{ /* ./Engine/compiler.scm 237 */
obj_t BgL_zc3anonymousza32973ze3z83_1368;
{ 
int BgL_auxz00_1732;int BgL_auxz00_1730;
BgL_auxz00_1732 = 
(int)(((long)1)); 
BgL_auxz00_1730 = 
(int)(((long)0)); 
BgL_zc3anonymousza32973ze3z83_1368 = 
make_fx_procedure(BGl_zc3anonymousza32973ze3z83zzengine_compilerz00, BgL_auxz00_1730, BgL_auxz00_1732); } 
{ /* ./Engine/compiler.scm 237 */
int BgL_auxz00_1735;
BgL_auxz00_1735 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32973ze3z83_1368, BgL_auxz00_1735, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2970z00_811, BgL_zc3anonymousza32973ze3z83_1368); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3798z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 242 */
bool_t BgL_test2976z00_815;
{ /* ./Engine/compiler.scm 242 */
bool_t BgL_test2978z00_816;
{ /* ./Engine/compiler.scm 242 */
obj_t BgL_objz00_1335;
BgL_objz00_1335 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2978z00_816 = 
INTEGERP(BgL_objz00_1335); } 
if(BgL_test2978z00_816)
{ /* ./Engine/compiler.scm 242 */
long BgL_n1z00_1336;
BgL_n1z00_1336 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2976z00_815 = 
(BgL_n1z00_1336>((long)0)); }  else 
{ /* ./Engine/compiler.scm 242 */
BgL_test2976z00_815 = ((bool_t)0); } } 
if(BgL_test2976z00_815)
{ /* ./Engine/compiler.scm 243 */
obj_t BgL_auxz00_1441;
BgL_auxz00_1441 = 
BGl_failzd2walkz12zc0zzfail_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1441); }  else 
{ /* ./Engine/compiler.scm 242 */BFALSE; } } 
{ /* ./Engine/compiler.scm 244 */
obj_t BgL_arg2982z00_817;
BgL_arg2982z00_817 = 
CNST_TABLE_REF(((long)19)); 
{ /* ./Engine/compiler.scm 244 */
obj_t BgL_zc3anonymousza32985ze3z83_1367;
{ 
int BgL_auxz00_1749;int BgL_auxz00_1747;
BgL_auxz00_1749 = 
(int)(((long)1)); 
BgL_auxz00_1747 = 
(int)(((long)0)); 
BgL_zc3anonymousza32985ze3z83_1367 = 
make_fx_procedure(BGl_zc3anonymousza32985ze3z83zzengine_compilerz00, BgL_auxz00_1747, BgL_auxz00_1749); } 
{ /* ./Engine/compiler.scm 244 */
int BgL_auxz00_1752;
BgL_auxz00_1752 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32985ze3z83_1367, BgL_auxz00_1752, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2982z00_817, BgL_zc3anonymousza32985ze3z83_1367); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3802z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 248 */
obj_t BgL_auxz00_1442;
BgL_auxz00_1442 = 
BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(
CELL_REF(BgL_astz00_772), 
CNST_TABLE_REF(((long)20))); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1442); } 
{ /* ./Engine/compiler.scm 249 */
obj_t BgL_arg2990z00_821;
BgL_arg2990z00_821 = 
CNST_TABLE_REF(((long)21)); 
{ /* ./Engine/compiler.scm 249 */
obj_t BgL_zc3anonymousza32993ze3z83_1366;
{ 
int BgL_auxz00_1762;int BgL_auxz00_1760;
BgL_auxz00_1762 = 
(int)(((long)1)); 
BgL_auxz00_1760 = 
(int)(((long)0)); 
BgL_zc3anonymousza32993ze3z83_1366 = 
make_fx_procedure(BGl_zc3anonymousza32993ze3z83zzengine_compilerz00, BgL_auxz00_1760, BgL_auxz00_1762); } 
{ /* ./Engine/compiler.scm 249 */
int BgL_auxz00_1765;
BgL_auxz00_1765 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32993ze3z83_1366, BgL_auxz00_1765, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2990z00_821, BgL_zc3anonymousza32993ze3z83_1366); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3803z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 253 */
obj_t BgL_auxz00_1443;
BgL_auxz00_1443 = 
BGl_cfazd2walkz12zc0zzcfa_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1443); } 
{ /* ./Engine/compiler.scm 254 */
obj_t BgL_arg2998z00_825;
BgL_arg2998z00_825 = 
CNST_TABLE_REF(((long)22)); 
{ /* ./Engine/compiler.scm 254 */
obj_t BgL_zc3anonymousza33001ze3z83_1365;
{ 
int BgL_auxz00_1774;int BgL_auxz00_1772;
BgL_auxz00_1774 = 
(int)(((long)1)); 
BgL_auxz00_1772 = 
(int)(((long)0)); 
BgL_zc3anonymousza33001ze3z83_1365 = 
make_fx_procedure(BGl_zc3anonymousza33001ze3z83zzengine_compilerz00, BgL_auxz00_1772, BgL_auxz00_1774); } 
{ /* ./Engine/compiler.scm 254 */
int BgL_auxz00_1777;
BgL_auxz00_1777 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33001ze3z83_1365, BgL_auxz00_1777, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2998z00_825, BgL_zc3anonymousza33001ze3z83_1365); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3804z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
BGl_setzd2defaultzd2typez12z12zztype_cachez00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* ./Engine/compiler.scm 262 */
obj_t BgL_auxz00_1444;
BgL_auxz00_1444 = 
BGl_integratezd2walkz12zc0zzintegrate_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1444); } 
{ /* ./Engine/compiler.scm 263 */
obj_t BgL_arg3007z00_829;
BgL_arg3007z00_829 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Engine/compiler.scm 263 */
obj_t BgL_zc3anonymousza33010ze3z83_1364;
{ 
int BgL_auxz00_1788;int BgL_auxz00_1786;
BgL_auxz00_1788 = 
(int)(((long)1)); 
BgL_auxz00_1786 = 
(int)(((long)0)); 
BgL_zc3anonymousza33010ze3z83_1364 = 
make_fx_procedure(BGl_zc3anonymousza33010ze3z83zzengine_compilerz00, BgL_auxz00_1786, BgL_auxz00_1788); } 
{ /* ./Engine/compiler.scm 263 */
int BgL_auxz00_1791;
BgL_auxz00_1791 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33010ze3z83_1364, BgL_auxz00_1791, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3007z00_829, BgL_zc3anonymousza33010ze3z83_1364); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3805z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 267 */
bool_t BgL_test3013z00_833;
{ /* ./Engine/compiler.scm 267 */
bool_t BgL_test3016z00_834;
BgL_test3016z00_834 = 
(BGl_za2globalzd2tailzd2callzf3za2zf3zzengine_paramz00==BTRUE); 
if(BgL_test3016z00_834)
{ /* ./Engine/compiler.scm 267 */
BgL_test3013z00_833 = ((bool_t)1); }  else 
{ /* ./Engine/compiler.scm 268 */
obj_t BgL__andtest_2726z00_835;
BgL__andtest_2726z00_835 = BGl_za2globalzd2tailzd2callzf3za2zf3zzengine_paramz00; 
if(
CBOOL(BgL__andtest_2726z00_835))
{ /* ./Engine/compiler.scm 268 */
BgL_test3013z00_833 = 
CBOOL(BGl_za2sawza2z00zzengine_paramz00); }  else 
{ /* ./Engine/compiler.scm 268 */
BgL_test3013z00_833 = ((bool_t)0); } } } 
if(BgL_test3013z00_833)
{ /* ./Engine/compiler.scm 267 */
{ /* ./Engine/compiler.scm 269 */
obj_t BgL_auxz00_1445;
BgL_auxz00_1445 = 
BGl_tailczd2walkz12zc0zztailc_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1445); } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3806z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); }  else 
{ /* ./Engine/compiler.scm 267 */BUNSPEC; } } 
{ /* ./Engine/compiler.scm 271 */
obj_t BgL_arg3019z00_836;
BgL_arg3019z00_836 = 
CNST_TABLE_REF(((long)24)); 
{ /* ./Engine/compiler.scm 271 */
obj_t BgL_zc3anonymousza33022ze3z83_1363;
{ 
int BgL_auxz00_1807;int BgL_auxz00_1805;
BgL_auxz00_1807 = 
(int)(((long)1)); 
BgL_auxz00_1805 = 
(int)(((long)0)); 
BgL_zc3anonymousza33022ze3z83_1363 = 
make_fx_procedure(BGl_zc3anonymousza33022ze3z83zzengine_compilerz00, BgL_auxz00_1805, BgL_auxz00_1807); } 
{ /* ./Engine/compiler.scm 271 */
int BgL_auxz00_1810;
BgL_auxz00_1810 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33022ze3z83_1363, BgL_auxz00_1810, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3019z00_836, BgL_zc3anonymousza33022ze3z83_1363); } } 
{ /* ./Engine/compiler.scm 274 */
obj_t BgL_auxz00_1446;
BgL_auxz00_1446 = 
BGl_coercezd2walkz12zc0zzcoerce_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1446); } 
{ /* ./Engine/compiler.scm 275 */
obj_t BgL_arg3026z00_840;
BgL_arg3026z00_840 = 
CNST_TABLE_REF(((long)25)); 
{ /* ./Engine/compiler.scm 275 */
obj_t BgL_zc3anonymousza33029ze3z83_1362;
{ 
int BgL_auxz00_1818;int BgL_auxz00_1816;
BgL_auxz00_1818 = 
(int)(((long)1)); 
BgL_auxz00_1816 = 
(int)(((long)0)); 
BgL_zc3anonymousza33029ze3z83_1362 = 
make_fx_procedure(BGl_zc3anonymousza33029ze3z83zzengine_compilerz00, BgL_auxz00_1816, BgL_auxz00_1818); } 
{ /* ./Engine/compiler.scm 275 */
int BgL_auxz00_1821;
BgL_auxz00_1821 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33029ze3z83_1362, BgL_auxz00_1821, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3026z00_840, BgL_zc3anonymousza33029ze3z83_1362); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3807z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 280 */
bool_t BgL_test3032z00_844;
{ /* ./Engine/compiler.scm 280 */
bool_t BgL_test3047z00_853;
{ /* ./Engine/compiler.scm 280 */
long BgL_n1z00_1338;
BgL_n1z00_1338 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test3047z00_853 = 
(BgL_n1z00_1338>=((long)1)); } 
if(BgL_test3047z00_853)
{ /* ./Engine/compiler.scm 280 */
BgL_test3032z00_844 = ((bool_t)1); }  else 
{ /* ./Engine/compiler.scm 280 */
obj_t BgL_auxz00_1829;
BgL_auxz00_1829 = 
CNST_TABLE_REF(((long)26)); 
BgL_test3032z00_844 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1829); } } 
if(BgL_test3032z00_844)
{ /* ./Engine/compiler.scm 280 */
{ /* ./Engine/compiler.scm 282 */
obj_t BgL_auxz00_1447;
BgL_auxz00_1447 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_772), ((bool_t)1)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1447); } 
{ /* ./Engine/compiler.scm 283 */
obj_t BgL_arg3035z00_845;
BgL_arg3035z00_845 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Engine/compiler.scm 283 */
obj_t BgL_zc3anonymousza33039ze3z83_1361;
{ 
int BgL_auxz00_1837;int BgL_auxz00_1835;
BgL_auxz00_1837 = 
(int)(((long)1)); 
BgL_auxz00_1835 = 
(int)(((long)0)); 
BgL_zc3anonymousza33039ze3z83_1361 = 
make_fx_procedure(BGl_zc3anonymousza33039ze3z83zzengine_compilerz00, BgL_auxz00_1835, BgL_auxz00_1837); } 
{ /* ./Engine/compiler.scm 283 */
int BgL_auxz00_1840;
BgL_auxz00_1840 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33039ze3z83_1361, BgL_auxz00_1840, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3035z00_845, BgL_zc3anonymousza33039ze3z83_1361); } } 
{ /* ./Engine/compiler.scm 284 */
obj_t BgL_arg3042z00_849;
BgL_arg3042z00_849 = 
CNST_TABLE_REF(((long)26)); 
{ /* ./Engine/compiler.scm 284 */
obj_t BgL_zc3anonymousza33045ze3z83_1360;
{ 
int BgL_auxz00_1847;int BgL_auxz00_1845;
BgL_auxz00_1847 = 
(int)(((long)1)); 
BgL_auxz00_1845 = 
(int)(((long)0)); 
BgL_zc3anonymousza33045ze3z83_1360 = 
make_fx_procedure(BGl_zc3anonymousza33045ze3z83zzengine_compilerz00, BgL_auxz00_1845, BgL_auxz00_1847); } 
{ /* ./Engine/compiler.scm 284 */
int BgL_auxz00_1850;
BgL_auxz00_1850 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33045ze3z83_1360, BgL_auxz00_1850, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3042z00_849, BgL_zc3anonymousza33045ze3z83_1360); } } }  else 
{ /* ./Engine/compiler.scm 280 */BFALSE; } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3800z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 288 */
bool_t BgL_test3051z00_854;
{ /* ./Engine/compiler.scm 288 */
long BgL_n1z00_1340;
BgL_n1z00_1340 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test3051z00_854 = 
(BgL_n1z00_1340>=((long)1)); } 
if(BgL_test3051z00_854)
{ /* ./Engine/compiler.scm 289 */
obj_t BgL_auxz00_1448;
BgL_auxz00_1448 = 
BGl_reducezd2walkz12zc0zzreduce_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1448); }  else 
{ /* ./Engine/compiler.scm 288 */BFALSE; } } 
{ /* ./Engine/compiler.scm 290 */
obj_t BgL_arg3058z00_855;
BgL_arg3058z00_855 = 
CNST_TABLE_REF(((long)27)); 
{ /* ./Engine/compiler.scm 290 */
obj_t BgL_zc3anonymousza33061ze3z83_1359;
{ 
int BgL_auxz00_1862;int BgL_auxz00_1860;
BgL_auxz00_1862 = 
(int)(((long)1)); 
BgL_auxz00_1860 = 
(int)(((long)0)); 
BgL_zc3anonymousza33061ze3z83_1359 = 
make_fx_procedure(BGl_zc3anonymousza33061ze3z83zzengine_compilerz00, BgL_auxz00_1860, BgL_auxz00_1862); } 
{ /* ./Engine/compiler.scm 290 */
int BgL_auxz00_1865;
BgL_auxz00_1865 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33061ze3z83_1359, BgL_auxz00_1865, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3058z00_855, BgL_zc3anonymousza33061ze3z83_1359); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3808z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 294 */
bool_t BgL_test3064z00_859;
{ /* ./Engine/compiler.scm 294 */
long BgL_n1z00_1342;
BgL_n1z00_1342 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test3064z00_859 = 
(BgL_n1z00_1342>((long)0)); } 
if(BgL_test3064z00_859)
{ /* ./Engine/compiler.scm 295 */
obj_t BgL_auxz00_1449;
BgL_auxz00_1449 = 
BGl_bdbzd2walkz12zc0zzbdb_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1449); }  else 
{ /* ./Engine/compiler.scm 294 */BFALSE; } } 
{ /* ./Engine/compiler.scm 296 */
obj_t BgL_arg3068z00_860;
BgL_arg3068z00_860 = 
CNST_TABLE_REF(((long)28)); 
{ /* ./Engine/compiler.scm 296 */
obj_t BgL_zc3anonymousza33071ze3z83_1358;
{ 
int BgL_auxz00_1877;int BgL_auxz00_1875;
BgL_auxz00_1877 = 
(int)(((long)1)); 
BgL_auxz00_1875 = 
(int)(((long)0)); 
BgL_zc3anonymousza33071ze3z83_1358 = 
make_fx_procedure(BGl_zc3anonymousza33071ze3z83zzengine_compilerz00, BgL_auxz00_1875, BgL_auxz00_1877); } 
{ /* ./Engine/compiler.scm 296 */
int BgL_auxz00_1880;
BgL_auxz00_1880 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33071ze3z83_1358, BgL_auxz00_1880, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3068z00_860, BgL_zc3anonymousza33071ze3z83_1358); } } 
{ /* ./Engine/compiler.scm 299 */
obj_t BgL_auxz00_1450;
BgL_auxz00_1450 = 
BGl_cnstzd2walkz12zc0zzcnst_walkz00(
CELL_REF(BgL_astz00_772)); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1450); } 
{ /* ./Engine/compiler.scm 300 */
obj_t BgL_arg3075z00_864;
BgL_arg3075z00_864 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Engine/compiler.scm 300 */
obj_t BgL_zc3anonymousza33078ze3z83_1357;
{ 
int BgL_auxz00_1888;int BgL_auxz00_1886;
BgL_auxz00_1888 = 
(int)(((long)1)); 
BgL_auxz00_1886 = 
(int)(((long)0)); 
BgL_zc3anonymousza33078ze3z83_1357 = 
make_fx_procedure(BGl_zc3anonymousza33078ze3z83zzengine_compilerz00, BgL_auxz00_1886, BgL_auxz00_1888); } 
{ /* ./Engine/compiler.scm 300 */
int BgL_auxz00_1891;
BgL_auxz00_1891 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33078ze3z83_1357, BgL_auxz00_1891, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3075z00_864, BgL_zc3anonymousza33078ze3z83_1357); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3809z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 305 */
obj_t BgL_auxz00_1451;
BgL_auxz00_1451 = 
BGl_inlinezd2walkz12zc0zzinline_walkz00(
CELL_REF(BgL_astz00_772), 
CNST_TABLE_REF(((long)30))); 
CELL_SET(BgL_astz00_772, BgL_auxz00_1451); } 
{ /* ./Engine/compiler.scm 306 */
obj_t BgL_arg3083z00_868;
BgL_arg3083z00_868 = 
CNST_TABLE_REF(((long)31)); 
{ /* ./Engine/compiler.scm 306 */
obj_t BgL_zc3anonymousza33086ze3z83_1356;
{ 
int BgL_auxz00_1901;int BgL_auxz00_1899;
BgL_auxz00_1901 = 
(int)(((long)1)); 
BgL_auxz00_1899 = 
(int)(((long)0)); 
BgL_zc3anonymousza33086ze3z83_1356 = 
make_fx_procedure(BGl_zc3anonymousza33086ze3z83zzengine_compilerz00, BgL_auxz00_1899, BgL_auxz00_1901); } 
{ /* ./Engine/compiler.scm 306 */
int BgL_auxz00_1904;
BgL_auxz00_1904 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33086ze3z83_1356, BgL_auxz00_1904, BgL_astz00_772); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3083z00_868, BgL_zc3anonymousza33086ze3z83_1356); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3810z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_772)); 
{ /* ./Engine/compiler.scm 310 */
obj_t BgL_astz00_872;
{ /* ./Engine/compiler.scm 310 */
obj_t BgL_cellvalz00_1909;
BgL_cellvalz00_1909 = 
BGl_astzb2initializa7ersz15zzcgen_walkz00(
CELL_REF(BgL_astz00_772)); 
BgL_astz00_872 = 
MAKE_CELL(BgL_cellvalz00_1909); } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3811z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_872)); 
{ /* ./Engine/compiler.scm 314 */
bool_t BgL_test3090z00_873;
{ /* ./Engine/compiler.scm 314 */
bool_t BgL_test3099z00_878;
{ /* ./Engine/compiler.scm 314 */
long BgL_n1z00_1344;
BgL_n1z00_1344 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test3099z00_878 = 
(BgL_n1z00_1344>=((long)2)); } 
if(BgL_test3099z00_878)
{ /* ./Engine/compiler.scm 314 */
BgL_test3090z00_873 = ((bool_t)1); }  else 
{ /* ./Engine/compiler.scm 315 */
obj_t BgL_auxz00_1915;
BgL_auxz00_1915 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)13))); 
BgL_test3090z00_873 = 
CBOOL(BgL_auxz00_1915); } } 
if(BgL_test3090z00_873)
{ /* ./Engine/compiler.scm 314 */
{ /* ./Engine/compiler.scm 317 */
obj_t BgL_auxz00_1452;
BgL_auxz00_1452 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_872), ((bool_t)1)); 
CELL_SET(BgL_astz00_872, BgL_auxz00_1452); } 
{ /* ./Engine/compiler.scm 318 */
obj_t BgL_arg3093z00_874;
BgL_arg3093z00_874 = 
CNST_TABLE_REF(((long)32)); 
{ /* ./Engine/compiler.scm 318 */
obj_t BgL_zc3anonymousza33096ze3z83_1355;
{ 
int BgL_auxz00_1924;int BgL_auxz00_1922;
BgL_auxz00_1924 = 
(int)(((long)1)); 
BgL_auxz00_1922 = 
(int)(((long)0)); 
BgL_zc3anonymousza33096ze3z83_1355 = 
make_fx_procedure(BGl_zc3anonymousza33096ze3z83zzengine_compilerz00, BgL_auxz00_1922, BgL_auxz00_1924); } 
{ /* ./Engine/compiler.scm 318 */
int BgL_auxz00_1927;
BgL_auxz00_1927 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33096ze3z83_1355, BgL_auxz00_1927, BgL_astz00_872); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3093z00_874, BgL_zc3anonymousza33096ze3z83_1355); } } 
{ /* ./Engine/compiler.scm 319 */
obj_t BgL_auxz00_1453;
BgL_auxz00_1453 = 
BGl_reducezd2walkz12zc0zzreduce_walkz00(
CELL_REF(BgL_astz00_872)); 
CELL_SET(BgL_astz00_872, BgL_auxz00_1453); } }  else 
{ /* ./Engine/compiler.scm 314 */BFALSE; } } 
{ /* ./Engine/compiler.scm 320 */
obj_t BgL_arg3103z00_879;
BgL_arg3103z00_879 = 
CNST_TABLE_REF(((long)33)); 
{ /* ./Engine/compiler.scm 320 */
obj_t BgL_zc3anonymousza33106ze3z83_1354;
{ 
int BgL_auxz00_1935;int BgL_auxz00_1933;
BgL_auxz00_1935 = 
(int)(((long)1)); 
BgL_auxz00_1933 = 
(int)(((long)0)); 
BgL_zc3anonymousza33106ze3z83_1354 = 
make_fx_procedure(BGl_zc3anonymousza33106ze3z83zzengine_compilerz00, BgL_auxz00_1933, BgL_auxz00_1935); } 
{ /* ./Engine/compiler.scm 320 */
int BgL_auxz00_1938;
BgL_auxz00_1938 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33106ze3z83_1354, BgL_auxz00_1938, BgL_astz00_872); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3103z00_879, BgL_zc3anonymousza33106ze3z83_1354); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3812z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_872)); 
{ /* ./Engine/compiler.scm 323 */
bool_t BgL_test3109z00_883;
if(
CBOOL(BGl_za2sawza2z00zzengine_paramz00))
{ /* ./Engine/compiler.scm 323 */
BgL_test3109z00_883 = ((bool_t)1); }  else 
{ /* ./Engine/compiler.scm 323 */
obj_t BgL_auxz00_1945;
BgL_auxz00_1945 = 
CNST_TABLE_REF(((long)34)); 
BgL_test3109z00_883 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_1945); } 
if(BgL_test3109z00_883)
{ /* ./Engine/compiler.scm 323 */
BGl_backendzd2walkzd2zzbackend_walkz00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CELL_REF(BgL_astz00_872)); }  else 
{ /* ./Engine/compiler.scm 325 */
obj_t BgL_casezd2valuezd2_884;
BgL_casezd2valuezd2_884 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Engine/compiler.scm 326 */
bool_t BgL_test3111z00_885;
BgL_test3111z00_885 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_884, 
CNST_TABLE_REF(((long)35))); 
if(BgL_test3111z00_885)
{ /* ./Engine/compiler.scm 326 */
BGl_jvmzd2dumpzd2zzjvm_jdumpz00(
CELL_REF(BgL_astz00_872)); 
{ /* ./Engine/compiler.scm 329 */
obj_t BgL_arg3114z00_886;
BgL_arg3114z00_886 = 
CNST_TABLE_REF(((long)36)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3114z00_886, BGl_proc3813z00zzengine_compilerz00); } 
{ /* ./Engine/compiler.scm 330 */
obj_t BgL_arg3119z00_890;
BgL_arg3119z00_890 = 
CNST_TABLE_REF(((long)37)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3119z00_890, BGl_proc3814z00zzengine_compilerz00); } 
{ /* ./Engine/compiler.scm 331 */
obj_t BgL_arg3124z00_894;
BgL_arg3124z00_894 = 
CNST_TABLE_REF(((long)38)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3124z00_894, BGl_proc3815z00zzengine_compilerz00); } 
BGl_jvmzd2ldzd2zzjvm_ldz00(); }  else 
{ /* ./Engine/compiler.scm 330 */
bool_t BgL_test3129z00_898;
BgL_test3129z00_898 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_884, 
CNST_TABLE_REF(((long)39))); 
if(BgL_test3129z00_898)
{ /* ./Engine/compiler.scm 330 */
BGl_dotnetz00zzdotnet_dotnetz00(
CELL_REF(BgL_astz00_872)); 
{ /* ./Engine/compiler.scm 336 */
obj_t BgL_arg3132z00_899;
BgL_arg3132z00_899 = 
CNST_TABLE_REF(((long)40)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3132z00_899, BGl_proc3816z00zzengine_compilerz00); } 
{ /* ./Engine/compiler.scm 337 */
obj_t BgL_arg3137z00_903;
BgL_arg3137z00_903 = 
CNST_TABLE_REF(((long)36)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3137z00_903, BGl_proc3817z00zzengine_compilerz00); } 
BGl_dotnetzd2ldzd2zzdotnet_ldz00(); }  else 
{ /* ./Engine/compiler.scm 340 */
obj_t BgL_objectz00_1348;
BgL_objectz00_1348 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
FAILURE(BGl_string3818z00zzengine_compilerz00,BGl_string3819z00zzengine_compilerz00,BgL_objectz00_1348);} } } } } } 
return 
BINT(((long)0));} } } } } } } 
}



/* _compiler */
obj_t BGl__compilerz00zzengine_compilerz00(obj_t BgL_envz00_1380)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 79 */
return 
BGl_compilerz00zzengine_compilerz00();} 
}



/* <anonymous:3127> */
obj_t BGl_zc3anonymousza33127ze3z83zzengine_compilerz00(obj_t BgL_envz00_1381)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 331 */
{ 

return 
CNST_TABLE_REF(((long)41));} } 
}



/* <anonymous:3122> */
obj_t BGl_zc3anonymousza33122ze3z83zzengine_compilerz00(obj_t BgL_envz00_1382)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 330 */
{ 

return 
CNST_TABLE_REF(((long)41));} } 
}



/* <anonymous:3117> */
obj_t BGl_zc3anonymousza33117ze3z83zzengine_compilerz00(obj_t BgL_envz00_1383)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 329 */
{ 

return 
CNST_TABLE_REF(((long)41));} } 
}



/* <anonymous:3141> */
obj_t BGl_zc3anonymousza33141ze3z83zzengine_compilerz00(obj_t BgL_envz00_1384)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 337 */
{ 

return 
CNST_TABLE_REF(((long)41));} } 
}



/* <anonymous:3135> */
obj_t BGl_zc3anonymousza33135ze3z83zzengine_compilerz00(obj_t BgL_envz00_1385)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 336 */
{ 

return 
CNST_TABLE_REF(((long)41));} } 
}



/* <anonymous:3106> */
obj_t BGl_zc3anonymousza33106ze3z83zzengine_compilerz00(obj_t BgL_envz00_1386)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 320 */
{ /* ./Engine/compiler.scm 320 */
obj_t BgL_astz00_1387;
{ /* ./Engine/compiler.scm 320 */
int BgL_auxz00_1978;
BgL_auxz00_1978 = 
(int)(((long)0)); 
BgL_astz00_1387 = 
PROCEDURE_REF(BgL_envz00_1386, BgL_auxz00_1978); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1387));} } } 
}



/* <anonymous:3096> */
obj_t BGl_zc3anonymousza33096ze3z83zzengine_compilerz00(obj_t BgL_envz00_1388)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 318 */
{ /* ./Engine/compiler.scm 318 */
obj_t BgL_astz00_1389;
{ /* ./Engine/compiler.scm 318 */
int BgL_auxz00_1982;
BgL_auxz00_1982 = 
(int)(((long)0)); 
BgL_astz00_1389 = 
PROCEDURE_REF(BgL_envz00_1388, BgL_auxz00_1982); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1389));} } } 
}



/* <anonymous:3086> */
obj_t BGl_zc3anonymousza33086ze3z83zzengine_compilerz00(obj_t BgL_envz00_1390)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 306 */
{ /* ./Engine/compiler.scm 306 */
obj_t BgL_astz00_1391;
{ /* ./Engine/compiler.scm 306 */
int BgL_auxz00_1986;
BgL_auxz00_1986 = 
(int)(((long)0)); 
BgL_astz00_1391 = 
PROCEDURE_REF(BgL_envz00_1390, BgL_auxz00_1986); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1391));} } } 
}



/* <anonymous:3078> */
obj_t BGl_zc3anonymousza33078ze3z83zzengine_compilerz00(obj_t BgL_envz00_1392)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 300 */
{ /* ./Engine/compiler.scm 300 */
obj_t BgL_astz00_1393;
{ /* ./Engine/compiler.scm 300 */
int BgL_auxz00_1990;
BgL_auxz00_1990 = 
(int)(((long)0)); 
BgL_astz00_1393 = 
PROCEDURE_REF(BgL_envz00_1392, BgL_auxz00_1990); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1393));} } } 
}



/* <anonymous:3071> */
obj_t BGl_zc3anonymousza33071ze3z83zzengine_compilerz00(obj_t BgL_envz00_1394)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 296 */
{ /* ./Engine/compiler.scm 296 */
obj_t BgL_astz00_1395;
{ /* ./Engine/compiler.scm 296 */
int BgL_auxz00_1994;
BgL_auxz00_1994 = 
(int)(((long)0)); 
BgL_astz00_1395 = 
PROCEDURE_REF(BgL_envz00_1394, BgL_auxz00_1994); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1395));} } } 
}



/* <anonymous:3061> */
obj_t BGl_zc3anonymousza33061ze3z83zzengine_compilerz00(obj_t BgL_envz00_1396)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 290 */
{ /* ./Engine/compiler.scm 290 */
obj_t BgL_astz00_1397;
{ /* ./Engine/compiler.scm 290 */
int BgL_auxz00_1998;
BgL_auxz00_1998 = 
(int)(((long)0)); 
BgL_astz00_1397 = 
PROCEDURE_REF(BgL_envz00_1396, BgL_auxz00_1998); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1397));} } } 
}



/* <anonymous:3045> */
obj_t BGl_zc3anonymousza33045ze3z83zzengine_compilerz00(obj_t BgL_envz00_1398)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 284 */
{ /* ./Engine/compiler.scm 284 */
obj_t BgL_astz00_1399;
{ /* ./Engine/compiler.scm 284 */
int BgL_auxz00_2002;
BgL_auxz00_2002 = 
(int)(((long)0)); 
BgL_astz00_1399 = 
PROCEDURE_REF(BgL_envz00_1398, BgL_auxz00_2002); } 
{ 

return 
BGl_writezd2effectzd2zzeffect_walkz00(
CELL_REF(BgL_astz00_1399));} } } 
}



/* <anonymous:3039> */
obj_t BGl_zc3anonymousza33039ze3z83zzengine_compilerz00(obj_t BgL_envz00_1400)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 283 */
{ /* ./Engine/compiler.scm 283 */
obj_t BgL_astz00_1401;
{ /* ./Engine/compiler.scm 283 */
int BgL_auxz00_2006;
BgL_auxz00_2006 = 
(int)(((long)0)); 
BgL_astz00_1401 = 
PROCEDURE_REF(BgL_envz00_1400, BgL_auxz00_2006); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1401));} } } 
}



/* <anonymous:3029> */
obj_t BGl_zc3anonymousza33029ze3z83zzengine_compilerz00(obj_t BgL_envz00_1402)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 275 */
{ /* ./Engine/compiler.scm 275 */
obj_t BgL_astz00_1403;
{ /* ./Engine/compiler.scm 275 */
int BgL_auxz00_2010;
BgL_auxz00_2010 = 
(int)(((long)0)); 
BgL_astz00_1403 = 
PROCEDURE_REF(BgL_envz00_1402, BgL_auxz00_2010); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1403));} } } 
}



/* <anonymous:3022> */
obj_t BGl_zc3anonymousza33022ze3z83zzengine_compilerz00(obj_t BgL_envz00_1404)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 271 */
{ /* ./Engine/compiler.scm 271 */
obj_t BgL_astz00_1405;
{ /* ./Engine/compiler.scm 271 */
int BgL_auxz00_2014;
BgL_auxz00_2014 = 
(int)(((long)0)); 
BgL_astz00_1405 = 
PROCEDURE_REF(BgL_envz00_1404, BgL_auxz00_2014); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1405));} } } 
}



/* <anonymous:3010> */
obj_t BGl_zc3anonymousza33010ze3z83zzengine_compilerz00(obj_t BgL_envz00_1406)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 263 */
{ /* ./Engine/compiler.scm 263 */
obj_t BgL_astz00_1407;
{ /* ./Engine/compiler.scm 263 */
int BgL_auxz00_2018;
BgL_auxz00_2018 = 
(int)(((long)0)); 
BgL_astz00_1407 = 
PROCEDURE_REF(BgL_envz00_1406, BgL_auxz00_2018); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1407));} } } 
}



/* <anonymous:3001> */
obj_t BGl_zc3anonymousza33001ze3z83zzengine_compilerz00(obj_t BgL_envz00_1408)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 254 */
{ /* ./Engine/compiler.scm 254 */
obj_t BgL_astz00_1409;
{ /* ./Engine/compiler.scm 254 */
int BgL_auxz00_2022;
BgL_auxz00_2022 = 
(int)(((long)0)); 
BgL_astz00_1409 = 
PROCEDURE_REF(BgL_envz00_1408, BgL_auxz00_2022); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1409));} } } 
}



/* <anonymous:2993> */
obj_t BGl_zc3anonymousza32993ze3z83zzengine_compilerz00(obj_t BgL_envz00_1410)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 249 */
{ /* ./Engine/compiler.scm 249 */
obj_t BgL_astz00_1411;
{ /* ./Engine/compiler.scm 249 */
int BgL_auxz00_2026;
BgL_auxz00_2026 = 
(int)(((long)0)); 
BgL_astz00_1411 = 
PROCEDURE_REF(BgL_envz00_1410, BgL_auxz00_2026); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1411));} } } 
}



/* <anonymous:2985> */
obj_t BGl_zc3anonymousza32985ze3z83zzengine_compilerz00(obj_t BgL_envz00_1412)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 244 */
{ /* ./Engine/compiler.scm 244 */
obj_t BgL_astz00_1413;
{ /* ./Engine/compiler.scm 244 */
int BgL_auxz00_2030;
BgL_auxz00_2030 = 
(int)(((long)0)); 
BgL_astz00_1413 = 
PROCEDURE_REF(BgL_envz00_1412, BgL_auxz00_2030); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1413));} } } 
}



/* <anonymous:2973> */
obj_t BGl_zc3anonymousza32973ze3z83zzengine_compilerz00(obj_t BgL_envz00_1414)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 237 */
{ /* ./Engine/compiler.scm 237 */
obj_t BgL_astz00_1415;
{ /* ./Engine/compiler.scm 237 */
int BgL_auxz00_2034;
BgL_auxz00_2034 = 
(int)(((long)0)); 
BgL_astz00_1415 = 
PROCEDURE_REF(BgL_envz00_1414, BgL_auxz00_2034); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1415));} } } 
}



/* <anonymous:2956> */
obj_t BGl_zc3anonymousza32956ze3z83zzengine_compilerz00(obj_t BgL_envz00_1416)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 228 */
{ /* ./Engine/compiler.scm 228 */
obj_t BgL_astz00_1417;
{ /* ./Engine/compiler.scm 228 */
int BgL_auxz00_2038;
BgL_auxz00_2038 = 
(int)(((long)0)); 
BgL_astz00_1417 = 
PROCEDURE_REF(BgL_envz00_1416, BgL_auxz00_2038); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1417));} } } 
}



/* <anonymous:2948> */
obj_t BGl_zc3anonymousza32948ze3z83zzengine_compilerz00(obj_t BgL_envz00_1418)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 223 */
{ /* ./Engine/compiler.scm 223 */
obj_t BgL_astz00_1419;
{ /* ./Engine/compiler.scm 223 */
int BgL_auxz00_2042;
BgL_auxz00_2042 = 
(int)(((long)0)); 
BgL_astz00_1419 = 
PROCEDURE_REF(BgL_envz00_1418, BgL_auxz00_2042); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1419));} } } 
}



/* <anonymous:2940> */
obj_t BGl_zc3anonymousza32940ze3z83zzengine_compilerz00(obj_t BgL_envz00_1420)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 216 */
{ /* ./Engine/compiler.scm 216 */
obj_t BgL_astz00_1421;
{ /* ./Engine/compiler.scm 216 */
int BgL_auxz00_2046;
BgL_auxz00_2046 = 
(int)(((long)0)); 
BgL_astz00_1421 = 
PROCEDURE_REF(BgL_envz00_1420, BgL_auxz00_2046); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1421));} } } 
}



/* <anonymous:2924> */
obj_t BGl_zc3anonymousza32924ze3z83zzengine_compilerz00(obj_t BgL_envz00_1422)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 202 */
{ /* ./Engine/compiler.scm 202 */
obj_t BgL_astz00_1423;
{ /* ./Engine/compiler.scm 202 */
int BgL_auxz00_2050;
BgL_auxz00_2050 = 
(int)(((long)0)); 
BgL_astz00_1423 = 
PROCEDURE_REF(BgL_envz00_1422, BgL_auxz00_2050); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1423));} } } 
}



/* <anonymous:2915> */
obj_t BGl_zc3anonymousza32915ze3z83zzengine_compilerz00(obj_t BgL_envz00_1424)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 197 */
return 
BGl_makezd2addzd2heapz00zzheap_makez00();} 
}



/* <anonymous:2909> */
obj_t BGl_zc3anonymousza32909ze3z83zzengine_compilerz00(obj_t BgL_envz00_1425)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 194 */
return 
BGl_makezd2heapzd2zzheap_makez00();} 
}



/* <anonymous:2901> */
obj_t BGl_zc3anonymousza32901ze3z83zzengine_compilerz00(obj_t BgL_envz00_1426)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 185 */
{ /* ./Engine/compiler.scm 185 */
obj_t BgL_astz00_1427;
{ /* ./Engine/compiler.scm 185 */
int BgL_auxz00_2056;
BgL_auxz00_2056 = 
(int)(((long)0)); 
BgL_astz00_1427 = 
PROCEDURE_REF(BgL_envz00_1426, BgL_auxz00_2056); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_1427));} } } 
}



/* <anonymous:2895> */
obj_t BGl_zc3anonymousza32895ze3z83zzengine_compilerz00(obj_t BgL_envz00_1428)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 181 */
{ /* ./Engine/compiler.scm 181 */
obj_t BgL_unitsz00_1429;
{ /* ./Engine/compiler.scm 181 */
int BgL_auxz00_2060;
BgL_auxz00_2060 = 
(int)(((long)0)); 
BgL_unitsz00_1429 = 
PROCEDURE_REF(BgL_envz00_1428, BgL_auxz00_2060); } 
{ 

return 
BGl_writezd2expandedzd2zzwrite_expandedz00(
CELL_REF(BgL_unitsz00_1429));} } } 
}



/* <anonymous:2886> */
obj_t BGl_zc3anonymousza32886ze3z83zzengine_compilerz00(obj_t BgL_envz00_1430)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 169 */
{ /* ./Engine/compiler.scm 169 */
obj_t BgL_unitsz00_1431;
{ /* ./Engine/compiler.scm 169 */
int BgL_auxz00_2064;
BgL_auxz00_2064 = 
(int)(((long)0)); 
BgL_unitsz00_1431 = 
PROCEDURE_REF(BgL_envz00_1430, BgL_auxz00_2064); } 
{ 

return 
BGl_writezd2expandedzd2zzwrite_expandedz00(
CELL_REF(BgL_unitsz00_1431));} } } 
}



/* <anonymous:2809> */
obj_t BGl_zc3anonymousza32809ze3z83zzengine_compilerz00(obj_t BgL_envz00_1432)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 141 */
return 
BINT(((long)0));} 
}



/* <anonymous:2796> */
obj_t BGl_zc3anonymousza32796ze3z83zzengine_compilerz00(obj_t BgL_envz00_1433)
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 132 */
return 
BGl_dumpzd2additionalzd2heapsz00zzheap_restorez00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* ./Engine/compiler.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzengine_signalsz00(((long)49314), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)52606), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)46992), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzread_srcz00(((long)46676), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzwrite_expandedz00(((long)47979), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzwrite_astz00(((long)3027), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzread_accessz00(((long)2266), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzheap_restorez00(((long)18765), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzheap_makez00(((long)38589), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(((long)39711), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzast_buildz00(((long)17453), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47192), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(((long)43075), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzuser_userz00(((long)28513), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)3243), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)1783), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long)17978), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzexpand_installz00(((long)63390), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)6610), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long)1658), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zztrace_walkz00(((long)47784), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzinline_walkz00(((long)10614), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzeffect_walkz00(((long)31481), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcallcc_walkz00(((long)61694), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzfail_walkz00(((long)6090), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(((long)59349), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcfa_walkz00(((long)30794), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)20474), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzintegrate_walkz00(((long)15305), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zztailc_walkz00(((long)35349), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcoerce_walkz00(((long)1305), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzreduce_walkz00(((long)36075), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcnst_walkz00(((long)13595), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcgen_walkz00(((long)54632), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzhgen_walkz00(((long)30920), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzbdb_settingz00(((long)20468), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(((long)59242), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzbdb_walkz00(((long)59963), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzprof_walkz00(((long)40796), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcc_indentz00(((long)1912), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcc_ccz00(((long)15172), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzcc_ldz00(((long)36014), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzbackend_walkz00(((long)43168), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(((long)43692), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzjvm_ldz00(((long)12620), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
BGl_modulezd2initializa7ationz75zzdotnet_dotnetz00(((long)3361), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00)); 
return 
BGl_modulezd2initializa7ationz75zzdotnet_ldz00(((long)13132), 
BSTRING_TO_STRING(BGl_string3820z00zzengine_compilerz00));} 
}

